Ubuntu

Pressing Enter does not start the selected program in launcher

Reported by Stefan Lithén on 2012-03-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cairo-dock-plug-ins (Ubuntu)
Undecided
Unassigned

Bug Description

Using the applet "Control from keyboard" and pressing super+enter makes the dock show numbers on every item and I can start them by pressing that number. I can also move with arrow keys trhough the different items but pressing enter on any of them just makes the dock go away for a second and then come back ont the program for the item do not get started.

A look in a terminal with "ps ax" shows that just another cairo-dock has been started.

something like this..

spacebug@fractal:~$ ps ax | grep cairo-dock
 9673 ? S 0:00 /bin/sh -c cairo-dock
 9674 ? S 0:02 /bin/sh -c cairo-dock
10551 ? S 0:00 /bin/sh -c cairo-dock -w 2 -q 1
10567 ? S 0:00 /bin/sh -c cairo-dock -w 2 -q 2
10578 ? S 0:00 /bin/sh -c cairo-dock
10601 ? S 0:00 /bin/sh -c cairo-dock
10614 ? Sl 0:00 cairo-dock

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: cairo-dock-core 3.0.0.0beta1-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
Uname: Linux 3.2.0-18-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
Date: Sat Mar 17 00:44:19 2012
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/cairo-dock
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
SourcePackage: cairo-dock
UpgradeStatus: Upgraded to precise on 2012-02-24 (21 days ago)

Matthieu Baerts (matttbe) wrote :

Hello and thank you for this bug report!

This bug is now fixed (it's available on BZR, rev 2331: https://bazaar.launchpad.net/~cairo-dock-team/cairo-dock-plug-ins/plug-ins/revision/2331 )
Don't hesitate to add our 'Weekly' ppa to confirm that the next version fixes this bug ;)
http://glx-dock.org/ww_page.php?p=ppa%20Weekly

Changed in cairo-dock (Ubuntu):
status: New → Fix Committed
affects: cairo-dock (Ubuntu) → cairo-dock-plug-ins (Ubuntu)

I added the weekly PPA and updated and got this error instead.

spacebug@fractal:~$ cairo-dock

 ============================================================================
 Cairo-Dock version : 3.0.0.0beta1
 Compiled date : Mar 13 2012 12:17:35
 Built with GTK : 3.3
 Running with OpenGL: 1
 ============================================================================

cairo-dock: symbol lookup error: /usr/lib/x86_64-linux-gnu/cairo-dock/libcd_gnome-integration.so: undefined symbol: cairo_dock_fm_vfs_backend_is_defined

and cairo-dock is now not starting at all :D

Matthieu Baerts (matttbe) wrote :

This is something else :)
Is it possible to open a new bug report? Can you also post the backtrace of this crash? http://wiki.glx-dock.org/?p=ddd

But this is a bit strange... It's not really a crash but I think it's a problem with the detection of your session...
Can you also give us the output of these commands?
 $ echo $KDE_FULL_SESSION
 $ echo $KDE_SESSION_UID
 $ echo $DESKTOP_SESSION
 $ pgrep kwin

Is it better with this command?
 $ cairo-dock -e kde

This was might strange.
Everything ran ok in debugger and after installing those dbg-packages.
I tried removing the dbg-packages again and run without debugger and all was fine :)

Btw I'm in gnome-fallback, not KDE even though my installations media says that.

Matthieu Baerts (matttbe) wrote :

But it can be interesting to open a new bug report even if you no longer have this bug because it's a bit strange.
Maybe a few files are missing, maybe we detect Gnome and KDE, maybe...

Can you add the output of the previous commands on this new bug report?

Thank you :)

"cairo-dock: symbol lookup error: /usr/lib/x86_64-linux-gnu/
cairo-dock
/libcd_gnome-integration.so: undefined symbol:
cairo_dock_fm_vfs_backend_is_defined"

this just means that the plug-ins and the core are not in the same version

2012/3/17 Stefan Lithén <email address hidden>

> Ok I added a new bug here https://bugs.launchpad.net/ubuntu/+source
> /cairo-dock-plug-ins/+bug/957880<https://bugs.launchpad.net/ubuntu/+source%0A/cairo-dock-plug-ins/+bug/957880>
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Team, which is subscribed to cairo-dock-plug-ins in Ubuntu.
> https://bugs.launchpad.net/bugs/957554
>
> Title:
> Pressing Enter does not start the selected program in launcher
>
> Status in “cairo-dock-plug-ins” package in Ubuntu:
> Fix Committed
>
> Bug description:
> Using the applet "Control from keyboard" and pressing super+enter
> makes the dock show numbers on every item and I can start them by
> pressing that number. I can also move with arrow keys trhough the
> different items but pressing enter on any of them just makes the dock
> go away for a second and then come back ont the program for the item
> do not get started.
>
> A look in a terminal with "ps ax" shows that just another cairo-dock
> has been started.
>
> something like this..
>
> spacebug@fractal:~$ ps ax | grep cairo-dock
> 9673 ? S 0:00 /bin/sh -c cairo-dock
> 9674 ? S 0:02 /bin/sh -c cairo-dock
> 10551 ? S 0:00 /bin/sh -c cairo-dock -w 2 -q 1
> 10567 ? S 0:00 /bin/sh -c cairo-dock -w 2 -q 2
> 10578 ? S 0:00 /bin/sh -c cairo-dock
> 10601 ? S 0:00 /bin/sh -c cairo-dock
> 10614 ? Sl 0:00 cairo-dock
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: cairo-dock-core 3.0.0.0beta1-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
> Uname: Linux 3.2.0-18-generic x86_64
> NonfreeKernelModules: nvidia
> ApportVersion: 1.94.1-0ubuntu2
> Architecture: amd64
> Date: Sat Mar 17 00:44:19 2012
> EcryptfsInUse: Yes
> ExecutablePath: /usr/bin/cairo-dock
> InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Release amd64
> (20111012)
> SourcePackage: cairo-dock
> UpgradeStatus: Upgraded to precise on 2012-02-24 (21 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/cairo-dock-plug-ins/+bug/957554/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team
> More help : https://help.launchpad.net/ListHelp
>

Changed in cairo-dock-plug-ins (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers